// +---------------------------------------------------------------------
// | CRMEB [ CRMEB赋能开发者，助力企业发展 ]
// +---------------------------------------------------------------------
// | Copyright (c) 2016~2023 https://www.crmeb.com All rights reserved.
// +---------------------------------------------------------------------
// | Licensed CRMEB并不是自由软件，未经许可不能去掉CRMEB相关版权
// +---------------------------------------------------------------------
// | Author: CRMEB Team <admin@crmeb.com>
// +---------------------------------------------------------------------

import LayoutMain from '@/layout';
import setting from '@/setting';
let routePre = setting.routePre;

const pre = 'shop_';

export default {
	path: routePre + '/shop',
	name: 'shop',
	header: 'shop',
	redirect: {
		name: `${pre}list`,
	},
	component: LayoutMain,
	children: [{
			path: 'list',
			name: `${pre}list`,
			meta: {
				auth: ['admin-shop-storeShop-index'],
				title: '商户管理',
			},
			component: () => import('@/pages/shop/shop'),
		},
		{
			path: 'type',
			name: `${pre}type`,
			meta: {
				auth: ['admin-shop-type'],
				title: '商户类型',
			},
			component: () => import('@/pages/shop/type.vue'),
		},
		{
			path: 'classify',
			name: `${pre}classify`,
			meta: {
				auth: ['admin-shop-classify'],
				title: '商户分类',
			},
			component: () => import('@/pages/shop/classify'),
		},
		{
			path: 'apply',
			name: `${pre}apply`,
			meta: {
				auth: ['admin-shop-apply'],
				title: '申请商户',
			},
			component: () => import('@/pages/shop/apply'),
		},
	],
};