// +---------------------------------------------------------------------
// | CRMEB [ CRMEB赋能开发者，助力企业发展 ]
// +---------------------------------------------------------------------
// | Copyright (c) 2016~2023 https://www.crmeb.com All rights reserved.
// +---------------------------------------------------------------------
// | Licensed CRMEB并不是自由软件，未经许可不能去掉CRMEB相关版权
// +---------------------------------------------------------------------
// | Author: CRMEB Team <admin@crmeb.com>
// +---------------------------------------------------------------------

import LayoutMain from '@/layout';
import setting from '@/setting';
let routePre = setting.shoproutePre;

const pre = 'product_';

export default {
	path: routePre + '/product',
	name: 'mer_product',
	header: 'mer_product',
	meta: {
		title: '商品',
		// 授权标识
		auth: ['mer-store-index'],
	},
	redirect: {
		name: `${pre}productList`,
	},
	component: LayoutMain,
	children: [{
			path: 'product_list',
			name: `${pre}productList`,
			meta: {
				title: '商品管理',
				auth: ['mer-store-storeProuduct-index'],
				keepAlive: true,
			},
			component: () => import('@/pages/shop_product/productList'),
		},
		{
			path: 'product_classify',
			name: `${pre}productClassify`,
			meta: {
				title: '商品分类',
				auth: ['mer-store-storeCategory-index'],
			},
			component: () => import('@/pages/shop_product/productClassify'),
		},
		{
			path: 'add_product/:id?',
			name: `${pre}productAdd`,
			meta: {
				auth: ['mer-store-storeProuduct-index'],
				title: '商品添加',
				activeMenu: routePre + '/product/product_list',
			},
			component: () => import('@/pages/shop_product/productAdd'),
		},
		{
			path: 'product_reply/:id?',
			name: `${pre}productEvaluate`,
			meta: {
				auth: ['mer-store-storeProuduct-index'],
				title: '商品评论',
			},
			component: () => import('@/pages/shop_product/productReply'),
		},
		{
			path: 'product_attr',
			name: `${pre}productAttr`,
			meta: {
				auth: ['mer-store-storeProuduct-index'],
				title: '商品规格',
			},
			component: () => import('@/pages/shop_product/productAttr'),
		},
	],
};